Google Confirms “Android Lollipop Day” for November 3rd

A little over a week ago, Google announced the latest iteration of … more

Get Your XDA 2015 Custom Avatar and Signature Images Here

As stated in our motto, XDA Developer is for developers, by developers. The … more

Pin Your Photos on Android Lollipop with Photo Pinner

In the last few weeks,we have been talking quite a bit about Android 5.0 Lollipop. This … more

Samsung Galaxy Note Edge Hands On – XDA TV

Perhaps one of the more peculiar announcements this year was the curved edge-screened … more
Post Reply

Build Failing For Galaxy S4 I9500

OP BlaqueDroid

8th January 2014, 05:12 AM   |  #1  
BlaqueDroid's Avatar
OP Senior Member
Flag Johannesburg
Thanks Meter: 434
 
221 posts
Join Date:Joined: Oct 2013
Donate to Me
More
Please help and be patient with as this is my first time trying to build my own custom Rom but i keep getting this error please help

BlaqueSouls-Mac-Promni blaquesoul$ lunch

You're building on Darwin

Lunch menu... pick a combo:
1. aosp_arm-eng
2. aosp_x86-eng
3. aosp_mips-eng
4. vbox_x86-eng
5. mini_armv7a_neon-userdebug
6. mini_mips-userdebug
7. mini_x86-userdebug
8. full_i9500-userdebug
9. omni_i9500-userdebug

Which would you like? [aosp_arm-eng] 9
Traceback (most recent call last):
File "build/tools/roomservice.py", line 297, in <module>
fetch_dependencies(device)
File "build/tools/roomservice.py", line 253, in fetch_dependencies
create_dependency_manifest(dependencies)
File "build/tools/roomservice.py", line 238, in create_dependency_manifest
revision=revision)
File "build/tools/roomservice.py", line 146, in create_manifest_project
project_exists = check_project_exists(url)
File "build/tools/roomservice.py", line 120, in check_project_exists
for project in iterate_manifests():
File "build/tools/roomservice.py", line 110, in iterate_manifests
man = ES.parse(file)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 1182, in parse
tree.parse(source, parser)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 656, in parse
parser.feed(data)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 1642, in feed
self._raiseerror(v)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 1506, in _raiseerror
raise err
xml.etree.ElementTree.ParseError: not well-formed (invalid token): line 1, column 0

============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.4.2
TARGET_PRODUCT=omni_i9500
TARGET_BUILD_VARIANT=userdebug
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=arm
TARGET_ARCH_VARIANT=armv7-a-neon
TARGET_CPU_VARIANT=cortex-a15
HOST_ARCH=x86
HOST_OS=darwin
HOST_OS_EXTRA=Darwin-13.0.0-x86_64-i386-64bit
HOST_BUILD_TYPE=release
BUILD_ID=KOT49H
OUT_DIR=/Volumes/android/omni/out
============================================
8th January 2014, 06:32 AM   |  #2  
Senior Member
Thanks Meter: 2,072
 
3,974 posts
Join Date:Joined: Sep 2010
Donate to Me
More
Half asleep, but a glance shows a lot of errors in your roomservice, which makes me ask: what's your python version?

Code:
python -V
8th January 2014, 09:57 AM   |  #3  
Member
Thanks Meter: 41
 
48 posts
Join Date:Joined: Dec 2013
Did u check ur json in omni.dependencies?

Sent from Windows 98
26th January 2014, 04:49 PM   |  #4  
BlaqueDroid's Avatar
OP Senior Member
Flag Johannesburg
Thanks Meter: 434
 
221 posts
Join Date:Joined: Oct 2013
Donate to Me
More
Quote:
Originally Posted by dynomist

Did u check ur json in omni.dependencies?

Sent from Windows 98

Hey man what is the omni.dependencies supposed to have i mean the lines inside ? Coz i managed to finish compiling however the zipfille was about 89mb which means theres something wrong so I'm kinda starting over again
24th February 2014, 12:55 PM   |  #5  
S03iT's Avatar
Member
Thanks Meter: 0
 
55 posts
Join Date:Joined: Feb 2013
More
xml.etree.ElementTree.ParseError: not well-formed (invalid token): line 1, column 0
Quote:
Originally Posted by BlaqueDroid

File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 656, in parse
parser.feed(data)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 1642, in feed
self._raiseerror(v)
File "/usr/local/Cellar/python/2.7.6/Frameworks/Python.framework/Versions/2.7/lib/python2.7/xml/etree/ElementTree.py", line 1506, in _raiseerror
raise err
xml.etree.ElementTree.ParseError: not well-formed (invalid token): line 1, column 0

============================================
PLATFORM_VERSION_CODENAME=REL
PLATFORM_VERSION=4.4.2
TARGET_PRODUCT=omni_i9500
TARGET_BUILD_VARIANT=userdebug
TARGET_BUILD_TYPE=release
TARGET_BUILD_APPS=
TARGET_ARCH=arm
TARGET_ARCH_VARIANT=armv7-a-neon
TARGET_CPU_VARIANT=cortex-a15
HOST_ARCH=x86
HOST_OS=darwin
HOST_OS_EXTRA=Darwin-13.0.0-x86_64-i386-64bit
HOST_BUILD_TYPE=release
BUILD_ID=KOT49H
OUT_DIR=/Volumes/android/omni/out
============================================

did you solve this error ???
i am having similar problem. i see this error when i do brunch BUT it continues AND at end i get another zcat error
>_<
am getting naked, feels like dual boot ubuntu and try there...
24th February 2014, 05:00 PM   |  #6  
BlaqueDroid's Avatar
OP Senior Member
Flag Johannesburg
Thanks Meter: 434
 
221 posts
Join Date:Joined: Oct 2013
Donate to Me
More
Quote:
Originally Posted by S03iT

did you solve this error ???
i am having similar problem. i see this error when i do brunch BUT it continues AND at end i get another zcat error
>_<
am getting naked, feels like dual boot ubuntu and try there...

Well on that one please check your local_manifests and makesure everything is correct in there but i moved from mac im now compiling on ubuntu
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes